Update an Affiliate by ID
curl --request PUT \
--url https://www.referly.so/api/v1/affiliates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"affiliateId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"commissionRate": 123,
"affiliateStatus": "<string>",
"affiliateLink": "<string>"
}
'import requests
url = "https://www.referly.so/api/v1/affiliates"
payload = {
"affiliateId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"commissionRate": 123,
"affiliateStatus": "<string>",
"affiliateLink": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
affiliateId: '<string>',
firstName: '<string>',
lastName: '<string>',
email: 'jsmith@example.com',
commissionRate: 123,
affiliateStatus: '<string>',
affiliateLink: '<string>'
})
};
fetch('https://www.referly.so/api/v1/affiliates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": 123,
"message": "<string>"
}Affiliate Endpoints
Update Affiliate
Updates an Affiliate based on their ID
PUT
/
affiliates
Update an Affiliate by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Affiliate update details
The ID of the affiliate
First name of the affiliate
Last name of the affiliate
Email of the affiliate
Commission rate for the affiliate
Status of the affiliate (active/inactive)
If set, adds a new affiliate link with this slug. Existing links are kept; this does not replace other affiliateLinks.
Response
Affiliate updated successfully
Last modified on September 14, 2024
⌘I